var IMGURL_PREFIX = 'http://192.168.31.203:2021/plat';
var api_prefix = 'http://192.168.31.203:2021/plat/admin_api'; //站点不同要改配置文件
var dataKey = "fwzs";
$(function() {
    getTimeInfo();
    setInterval(getTimeInfo, 500);
    if (sessionStorage.getItem("webConfig")) {
        renderConfig(JSON.parse(sessionStorage.getItem("webConfig")))
    } else {
        $.get(api_prefix + "/web/informations/webconfig/open", { terminal_data_key: dataKey }, function(res) {
            if (res && res.success) {
                sessionStorage.setItem("webConfig", JSON.stringify(res.data));
                renderConfig(res.data)
            } else {
                alert("获取数据失败！")
            }
        })
    }
});

function getTimeInfo() {
    var d = new Date();
    // Mon Dec 18 2017 21:29:58 GMT+0800 (中国标准时间)
    var weeks = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'];
    //定义一个从星期日到星期六的数组，因为后面获取的星期数返回的是0-6
    //在西方看来，星期日才是一周的开始
    var year = d.getFullYear();
    //获取年份
    var mouth = d.getMonth() + 1;
    //获取月份，返回值是0-11，因此需要加1
    var day = d.getDate();
    //获取日期
    var hour = d.getHours() < 10 ? '0' + d.getHours() : d.getHours();
    //获取小时，三元表达式，判断是否小于10，小于10就在前面加0（字符串拼接），例如：08
    var minutes = d.getMinutes() < 10 ? '0' + d.getMinutes() : d.getMinutes();
    //获取分钟
    var weekIndex = d.getDay()
    //获取星期数，返回0-6
    var week = weeks[weekIndex];
    //根据获取的星期数，到之前定义的数组去取值
    var noon = hour > 12 ? '下午' : '上午';
    var curTime = year + '年' + mouth + '月' + day + '日' + " " + week + " " + noon + hour + ':' + minutes;
    $('#timeInfo').text(curTime);
}

function AddFavorite(sURL, sTitle) {
    try {
        window.external.addFavorite(sURL, sTitle);
    } catch (e) {
        try {
            window.sidebar.addPanel(sTitle, sURL, "");
        } catch (e) {
            alert("加入收藏失败，请使用Ctrl+D进行添加");
        }
    }
}

function SetHome(obj, vrl) {
    try {
        obj.style.behavior = 'url(#default#homepage)';
        obj.setHomePage(vrl);
    } catch (e) {
        if (window.netscape) {
            try {
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
            } catch (e) {
                alert("此操作被浏览器拒绝！\n请在浏览器地址栏输入“about:config”并回车\n然后将 [signed.applets.codebase_principal_support]的值设置为'true',双击即可。");
            }
            var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
            prefs.setCharPref('browser.startup.homepage', vrl);
        }
    }
}

function renderConfig(data) {
    $('#footer .wrap').html(data.copyrightInfo);
    $('meta[name="description"]').attr('content', data.description);
    $('meta[name="keyword"]').attr('content', data.keyword);
    $('meta[name="author"]').attr('content', data.author);
    $("#seo").text(data.htags);
    $('title').text(data.websiteTitle);
    var imgSrc = IMGURL_PREFIX + data.coverImg;
    $(".banner img").attr('src', imgSrc);
}
//获取url中的参数
function getUrlParam(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
    var r = window.location.search.substr(1).match(reg); //匹配目标参数
    if (r != null) {
        return decodeURIComponent(r[2]);
    } else {
        return null; //返回参数值
    }
}